Date facts & formats

Today's Date

What is the date today? Explore today's date in detail: the day and week number, common date formats, today's zodiac sign, upcoming dates and more. Around the world there are two main ways of writing a date with numbers only. The American way is "month-day-year", whereas the European way is "day-month-year". Dates can also be expressed in many other ways, and some companies require RFC dates. Examples are below.

DATE FORMATS FOR ANY CITY

Today's date is

What day is it?

Location
Day of year
Week (US)
Week (ISO)
Month
Leap year
Days left in year

Today's Date In Various Date Formats

UTC
Unix Epoch
ISO-8601
RFC 2822
RFC 822
RFC 1036
RFC 3339
Day-Month-Year DD-MM-YYYY
Month-Day-Year MM-DD-YYYY
Year-Day-Month YYYY-DD-MM
Year-Month-Day YYYY-MM-DD

Zodiac Today

Zodiac sign
Birthstone
Birth flower

Days From Today Quick View

+28 days
+30 days
+45 days
+60 days
+90 days
+120 days

What is Today's Holiday?

Find out what today's holiday is with our National Day Calendar. See today's holidays

What Happened On This Day?